## cryptsetup 2.3.3

=== debian/changelog ===
cryptsetup (2:2.3.3-1ubuntu6) groovy; urgency=medium

  * Introduce retry logic for external invocations after mdadm (LP: #1879980)
    - Currently, if an encrypted rootfs is configured on top of a MD RAID1
      array and such array gets degraded (e.g., a member is removed/failed)
      the cryptsetup scripts cannot mount the rootfs, and the boot fails.
      We fix that issue here by allowing the cryptroot script to be re-run
      by initramfs-tools/local-block stage, as mdadm can activate degraded
      arrays at that stage.
      There is an initramfs-tools counter-part for this fix, but alone the
      cryptsetup portion is harmless.
    - d/cryptsetup-initramfs.install: ship the new local-bottom script.
    - d/functions: declare variables for local-top|block|bottom scripts
      (flag that local-block is running and external invocation counter.)
    - d/i/s/local-block/cryptroot: set flag that local-block is running.
    - d/i/s/local-bottom/cryptroot: clean up the flag and counter files.
    - d/i/s/local-top/cryptroot: change the logic from just waiting 180
      seconds to waiting 5 seconds first, then allowing initramfs-tools
      to run mdadm (to activate degraded arrays) and call back at least
      30 times/seconds more.

 -- Guilherme G. Piccoli <gpiccoli@canonical.com>  Wed, 16 Sep 2020 17:35:59 -0300

cryptsetup (2:2.3.3-1ubuntu5) groovy; urgency=medium

  * SECURITY UPDATE: Out-of-bounds write
    - debian/patches/CVE-2020-14382-*.patch: check segment gaps regardless of
      heap space in lib/luks2/luks2_json_metadata.c.
    - CVE-2020-14382
  * debian/patches/decrease_memlock_ulimit.patch
    Fixed FTBFS due a restrict environment in the new Bionic Builder (LP: #1891473)
    tests/luks2-validation.test, tests/compat-test, tests/tcrypt-compat-test.
    - Thanks Guilherme G. Piccoli.

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Wed, 09 Sep 2020 09:29:17 -0300

cryptsetup (2:2.3.3-1ubuntu4) groovy; urgency=medium

  * No change rebuild against new json-c ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 28 Jul 2020 17:42:50 +0100

cryptsetup (2:2.3.3-1ubuntu3) groovy; urgency=medium

  * debian/rules:
    - fix FTBFS on riscv64 adding --with-tmpfilesdir to ensure all archs, even
      without systemd knows how to ship cryptsetup.conf

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 18 Jun 2020 11:44:50 +0200

cryptsetup (2:2.3.3-1ubuntu2) groovy; urgency=medium

  * debian/cryptsetup-bin.install:
    - Fix FTBFS due to dh_missing detecting crypsetup.conf in debian/tmp where
      it was installed from ./scripts/crypsetup.conf.
  * Fix warning and error when running on ZFS on root: (LP: #1830110)
    -  d/functions: Return an empty devno for ZFS devices as they don't have
       major:minor device numbers.
    - d/initramfs/hooks/cryptroot: Ignore and don't print an error message when
       devices don't have a devno.
    Submitted to debian upstream as bug #902449.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 18 Jun 2020 10:12:10 +0200

cryptsetup (2:2.3.3-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Recommend plymouth.
      + Depend on busybox-initramfs instead of busybox | busybox-static.
    - Fix cryptroot-unlock for busybox compatibility.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 09 Jun 2020 10:40:32 -0700

cryptsetup (2:2.3.3-1) unstable; urgency=medium

  [ Guilhem Moulin ]
  * New upstream bugfix release.
  * d/scripts/decrypt_derived: Remove useless call to `| tr -d '\n'`.
  * d/control: Bump debhelper compatibility level to 13.  Remove
    debian/tmp/lib/$DEB_HOST_MULTIARCH/libcryptsetup.la as we don't install it
    anywhere.

  [ Rob Pilling ]
  * d/scripts/decrypt_derived:
    + move an error message to standard error so it's not accidentally used as
      a key
    + exit with a success code when successful

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 04 Jun 2020 01:41:44 +0200

cryptsetup (2:2.3.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Set 'Rules-Requires-Root: no'.
  * d/initramfs/hooks/cryptroot: Unconditionally copy 'ecb' kernel module
    when the host CPU lacks AES-NI support.  On such systems XTS needs ECB.
    This is a work around for #883595 on kernels 4.10 and later.
    (Closes: #959423)

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 06 May 2020 16:22:01 +0200

cryptsetup (2:2.3.1-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Recommend plymouth.
      + Depend on busybox-initramfs instead of busybox | busybox-static.
    - Fix cryptroot-unlock for busybox compatibility.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 May 2020 07:07:58 -0700

cryptsetup (2:2.3.1-1) unstable; urgency=medium

  * New upstream release.
  * d/initramfs/hooks/cryptroot: Don't set unused variable LIBC_DIR.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 24 Mar 2020 02:07:07 +0100

cryptsetup (2:2.3.0-1) unstable; urgency=low

  * New upstream release, introducing support for BitLocker-compatible
    devices (BITLK format) used in Windows systems.
    WARNING: crypttab(5) support for these devices is currently *experimental*
    and requires blkid from util-linux >=2.33 (i.e., Buster or later).  These
    devices currently have no keyword to use in the 4th field (unlike 'luks'
    or 'plain'), the device type is inferred from the signature instead.
  * crypttab(5): Make the 4th field (options) optional so we don't have to
    introduce a new keyword for each new device type.  (That field is also
    optional in the systemd implementation.)  Other fields (dm target name,
    source device, and key file) remain required.
  * Install cryptdisks_{start,stop} bash completion scripts to the right
    path/name so they are loaded automatically. This was no longer the case
    since 2:1.7.0-1.  (Closes: #949623)
  * d/*.install: Replace tabs with spaces.


=== debian/control ===
Source: cryptsetup
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Cryptsetup Team <pkg-cryptsetup-devel@alioth-lists.debian.net>
Uploaders: Jonas Meurer <jonas@freesources.org>,
           Guilhem Moulin <guilhem@debian.org>
Rules-Requires-Root: no
Build-Depends: autoconf,
               automake (>= 1:1.12),
               autopoint,
               debhelper-compat (= 13),
               dh-exec,
               dh-strip-nondeterminism,
               docbook-xml,
               docbook-xsl,
               gettext,
               jq,
               libargon2-dev,
               libblkid-dev,
               libdevmapper-dev,
               libjson-c-dev,
               libpopt-dev,
               libselinux1-dev,
               libsepol1-dev,
               libssl-dev,
               libtool,
               pkg-config,
               po-debconf,
               procps,
               uuid-dev,
               xsltproc,
               xxd
Standards-Version: 4.5.0
Homepage: https://gitlab.com/cryptsetup/cryptsetup
Vcs-Browser: https://salsa.debian.org/cryptsetup-team/cryptsetup
Vcs-Git: https://salsa.debian.org/cryptsetup-team/cryptsetup.git

Package: cryptsetup
Architecture: linux-any
Multi-Arch: foreign
Depends: cryptsetup-bin (>= 2:1.6.0),
         dmsetup,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: dosfstools, keyutils, liblocale-gettext-perl
Replaces: cryptsetup-run (<< 2:2.1.0-6)
Recommends: cryptsetup-initramfs, cryptsetup-run
Breaks: cryptsetup-run (<< 2:2.1.0-6)
Description: disk encryption support - startup scripts
 Cryptsetup provides an interface for configuring encryption on block
 devices (such as /home or swap partitions), using the Linux kernel
 device mapper target dm-crypt. It features integrated Linux Unified Key
 Setup (LUKS) support.
 .
 Cryptsetup is backwards compatible with the on-disk format of cryptoloop,
 but also supports more secure formats. This package includes support for
 automatically configuring encrypted devices at boot time via the config
 file /etc/crypttab. Additional features are cryptoroot support through
 initramfs-tools and several supported ways to read a passphrase or key.
 .
 This package provides the cryptdisk_start and stop wrappers and
 luksformat.

Package: cryptsetup-bin
Architecture: linux-any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: disk encryption support - command line tools
 Cryptsetup provides an interface for configuring encryption on block
 devices (such as /home or swap partitions), using the Linux kernel
 device mapper target dm-crypt. It features integrated Linux Unified Key
 Setup (LUKS) support.
 .
 This package provides cryptsetup, cryptsetup-reencrypt, integritysetup
 and veritysetup.

Package: cryptsetup-initramfs
Architecture: all
Depends: busybox-initramfs,
         cryptsetup (>= ${source:Version}),
         initramfs-tools (>= 0.129) | linux-initramfs-tool,
         ${misc:Depends}
Recommends: console-setup, kbd, plymouth
Breaks: cryptsetup (<< 2:2.0.3-1)
Replaces: cryptsetup (<< 2:2.0.3-1)
Description: disk encryption support - initramfs integration
 Cryptsetup provides an interface for configuring encryption on block
 devices (such as /home or swap partitions), using the Linux kernel
 device mapper target dm-crypt. It features integrated Linux Unified Key
 Setup (LUKS) support.
 .
 This package provides initramfs integration for cryptsetup.

Package: cryptsetup-run
Section: oldlibs
Architecture: all
Multi-Arch: foreign
Depends: cryptsetup (>= 2:2.1.0-6), ${misc:Depends}
Description: transitional dummy package for cryptsetup
 This is a transitional dummy package to get upgrading systems to install the
 cryptsetup package. It can safely be removed once no other package depends on
 it.

Package: libcryptsetup12
Section: libs
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: disk encryption support - shared library
 Cryptsetup provides an interface for configuring encryption on block
 devices (such as /home or swap partitions), using the Linux kernel
 device mapper target dm-crypt. It features integrated Linux Unified Key
 Setup (LUKS) support.
 .
 This package provides the libcryptsetup shared library.

Package: libcryptsetup-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: libcryptsetup12 (= ${binary:Version}), ${misc:Depends}
Description: disk encryption support - development files
 Cryptsetup provides an interface for configuring encryption on block
 devices (such as /home or swap partitions), using the Linux kernel
 device mapper target dm-crypt. It features integrated Linux Unified Key
 Setup (LUKS) support.
 .
 This package provides the libcryptsetup development files.

Package: cryptsetup-udeb
Section: debian-installer
Package-Type: udeb
Architecture: linux-any
Depends: dmsetup-udeb, ${misc:Depends}, ${shlibs:Depends}
Description: disk encryption support - commandline tools (udeb)
 Cryptsetup provides an interface for configuring encryption on block
 devices (such as /home or swap partitions), using the Linux kernel
 device mapper target dm-crypt. It features integrated Linux Unified Key
 Setup (LUKS) support.
 .
 This udeb package provides cryptsetup for the Debian Installer.

Package: libcryptsetup12-udeb
Section: debian-installer
Package-Type: udeb
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: disk encryption support - shared library (udeb)
 Cryptsetup provides an interface for configuring encryption on block
 devices (such as /home or swap partitions), using the Linux kernel
 device mapper target dm-crypt. It features integrated Linux Unified Key
 Setup (LUKS) support.
 .
 This udeb package provides libcryptsetup for the Debian Installer.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on debhelper verbose mode.
#export DH_VERBOSE=1

# Set some custom build flags
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow,+pie
DEB_CFLAGS_MAINT_APPEND = -Wall
include /usr/share/dpkg/architecture.mk
-include /usr/share/dpkg/buildtools.mk

CONFFLAGS =

# Used e.g. for manpages (to build them in a reprodicible way)
include /usr/share/dpkg/pkg-info.mk
DEB_DATE := $(strip $(shell LC_ALL=C date -u +%F -d@$(SOURCE_DATE_EPOCH)))

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CONFFLAGS) \
		--libdir=/lib/$(DEB_HOST_MULTIARCH) \
		--sbindir=/sbin \
		--enable-libargon2 \
		--enable-shared \
		--with-tmpfilesdir=/usr/lib/tmpfiles.d/ \
		--enable-cryptsetup-reencrypt

override_dh_auto_build:
	dh_auto_build

	# build askpass and passdev keyscripts
	$(CC) -o debian/askpass debian/askpass.c $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -pedantic
	$(CC) -o debian/scripts/passdev debian/scripts/passdev.c $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -pedantic

	# generate manpages
	sed 's/VERSION/$(DEB_VERSION)/;s/DATE/$(DEB_DATE)/' \
		debian/doc/variables.xml.in >debian/doc/variables.xml
	xsltproc --nonet --xinclude -o debian/doc/ \
		/usr/share/xml/docbook/stylesheet/docbook-xsl/manpages/docbook.xsl \
		debian/doc/manpages.xml
	pod2man --section=8 --center="Administrative commands" \
		--release="$(DEB_VERSION)" debian/scripts/luksformat \
		debian/doc/luksformat.8

	# generate gettext po files (for luksformat)
	$(MAKE) -C debian/scripts/po all luksformat.pot

override_dh_auto_install:
	dh_auto_install
	# install gettext po files (for luksformat)
	$(MAKE) -C debian/scripts/po DESTDIR=$(CURDIR)/debian/cryptsetup-bin install

override_dh_install:
	dh_install
	rm -f $(CURDIR)/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/libcryptsetup.la # not installed to anywhere
	# install apport files when building on Ubuntu
ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes),yes)
	mkdir -p $(CURDIR)/debian/cryptsetup/usr/share/apport/package-hooks
	install -m 0644 debian/cryptsetup.apport \
		$(CURDIR)/debian/cryptsetup/usr/share/apport/package-hooks/cryptsetup.py
endif
	mv -f $(CURDIR)/debian/cryptsetup-initramfs.preinst $(CURDIR)/debian/cryptsetup-initramfs.preinst~
	while IFS= read -r x; do if [ "$${x#CONF_HOOK_CONTENTS=}" = "$$x" ]; then printf "%s\n" "$$x"; else printf "CONF_HOOK_CONTENTS=\"\$$(cat <<EOF\n"; cat debian/initramfs/conf-hook; printf "EOF\n)\""; fi ; done <$(CURDIR)/debian/cryptsetup-initramfs.preinst~ >$(CURDIR)/debian/cryptsetup-initramfs.preinst
	rm -f $(CURDIR)/debian/cryptsetup-initramfs.preinst~

override_dh_link:
	dh_link
	dh_link -plibcryptsetup-dev /lib/$(DEB_HOST_MULTIARCH)/$$(basename $$(readlink debian/tmp/lib/$(DEB_HOST_MULTIARCH)/libcryptsetup.so.12)) /usr/lib/$(DEB_HOST_MULTIARCH)/libcryptsetup.so

override_dh_installinit:
	dh_installinit -pcryptsetup --no-start --name=cryptdisks
	dh_installinit -pcryptsetup --no-start --name=cryptdisks-early

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C debian/scripts/po update clean

override_dh_bugfiles:
	dh_bugfiles -A

override_dh_fixperms-arch:
	dh_fixperms
	chmod 0755 debian/cryptsetup/lib/cryptsetup/checks/*
	chmod 0755 debian/cryptsetup/lib/cryptsetup/scripts/decrypt_*
	chmod 0755 debian/cryptsetup-udeb/lib/cryptsetup/checks/*
	chmod 0755 debian/cryptsetup-udeb/lib/cryptsetup/scripts/decrypt_*

override_dh_fixperms-indep:
	dh_fixperms
	chmod 0755 debian/cryptsetup-initramfs/usr/share/cryptsetup/initramfs/bin/*
	chmod 0755 debian/cryptsetup-initramfs/usr/share/initramfs-tools/hooks/*
	chmod 0755 debian/cryptsetup-initramfs/usr/share/initramfs-tools/scripts/*/*

## cryptsetup 2.3.4

=== debian/changelog ===
cryptsetup (2:2.3.4-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 07 Sep 2020 12:10:09 +0200

cryptsetup (2:2.3.4-1) unstable; urgency=high

  * New upstream bugfix release, including fix for CVE-2020-14382:
    possible out-of-bounds memory write while validating LUKS2 data
    segments metadata on 32-bits platforms. (Closes: #969471)

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 04 Sep 2020 00:30:40 +0200

cryptsetup (2:2.3.3-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports. (Closes: #963696)

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 17 Aug 2020 23:46:34 +0200

cryptsetup (2:2.3.3-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * d/control: Annotate Build-Depends with <!nocheck>. (Closes: #964092)

  [ Guilhem Moulin ]
  * d/rules: Build with `--with-tmpfilesdir` to force installing
    usr/lib/tmpfiles.d/cryptsetup.conf instead of picking the source from
    scripts/cryptsetup.conf.  This fixes FTBS in environments containing
    systemd. (Closes: #968250)
  * Add 'bitlk' flag in crypttab(5) to force detection of Windows BitLocker
    volumes. (Closes: #967853)

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 12 Aug 2020 00:22:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: cryptsetup
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Cryptsetup Team <pkg-cryptsetup-devel@alioth-lists.debian.net>
+Maintainer: Debian Cryptsetup Team <pkg-cryptsetup-devel@alioth-lists.debian.net>
 Uploaders: Jonas Meurer <jonas@freesources.org>,
            Guilhem Moulin <guilhem@debian.org>
 Rules-Requires-Root: no
@@ -15,7 +14,7 @@
                docbook-xml,
                docbook-xsl,
                gettext,
-               jq,
+               jq <!nocheck>,
                libargon2-dev,
                libblkid-dev,
                libdevmapper-dev,
@@ -27,10 +26,10 @@
                libtool,
                pkg-config,
                po-debconf,
-               procps,
+               procps <!nocheck>,
                uuid-dev,
                xsltproc,
-               xxd
+               xxd <!nocheck>
 Standards-Version: 4.5.0
 Homepage: https://gitlab.com/cryptsetup/cryptsetup
 Vcs-Browser: https://salsa.debian.org/cryptsetup-team/cryptsetup
@@ -77,11 +76,11 @@
 
 Package: cryptsetup-initramfs
 Architecture: all
-Depends: busybox-initramfs,
+Depends: busybox | busybox-static,
          cryptsetup (>= ${source:Version}),
          initramfs-tools (>= 0.129) | linux-initramfs-tool,
          ${misc:Depends}
-Recommends: console-setup, kbd, plymouth
+Recommends: console-setup, kbd
 Breaks: cryptsetup (<< 2:2.0.3-1)
 Replaces: cryptsetup (<< 2:2.0.3-1)
 Description: disk encryption support - initramfs integration

## cryptsetup 2.3.5

=== debian/changelog ===
cryptsetup (2:2.3.5-1) unstable; urgency=medium

  * New upstream bugfix release.  (Closes: #985581)
  * d/watch: Monitor upstream tags rather than tarballs.
  * d/gbp.conf: Set 'upstream-vcs-tag' to add upstream tag as additional
    parent.
  * Simplify d/README.source in accordance with the above.
  * Rename d/upstream-signing-key.asc to d/upstream/signing-key.asc as uscan
    is now able to verify git tags.
  * encrypted-boot.md: Clarify how to solve double password prompt for the
    device holding /boot.
  * d/copyright: Update copyright year.

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 02 Apr 2021 23:43:41 +0200

cryptsetup (2:2.3.4-2) unstable; urgency=medium

  [ Guilhem Moulin ]
  * d/control: Remove Build-Depends: dh-exec.  In compatibility level 13
    Debhelper supports variable expansion, which was why we used dh-exec in
    the first place.
  * libcryptsetup-dev: Install libcryptsetup.so to /lib/$DEB_HOST_MULTIARCH
    not /usr/lib/$DEB_HOST_MULTIARCH (closes: #978585), and override
    subsequent lintian warning per #843932.
  * d/*.install: Replace wildcard with $DEB_HOST_MULTIARCH for consistency.
  * d/cryptsetup.lintian-overrides: Rename "init.d-script-does-not-implement-
    optional-option $FOO status" tags to "init.d-script-does-not-implement-
    status-option $FOO".
  * Bump Standards-Version to 4.5.1 (no changes necessary).
  * d/cryptdisks-functions: Rename left-over loop_cryptdevs() to
    foreach_cryptdev().  Regression from 2:2.3.0-1.  (Closes: #974591)
  * Initramfs boot script: Drop `lvm vgchange`'s --ignoreskippedcluster flag
    which is now a no-op.
  * Make d/cryptsetup-initramfs.preinst mangling idempotent.
  * Rename Debian resp. upstream branch to debian/latest resp. upstream/latest
    for DEP-14 compliance.
  * Rename d/gitlab-ci.yml to d/salsa-ci.yml.
  * Consolidate d/gbp.conf.
  * cryptsetup-initramfs now requires initramfs-tools 0.137 or later and no
    longer copies libgcc_s.so.1 to the initrd since recent initramfs-tools
    take care of it.
  * Add libcryptsetup.la to debian/not-installed.

  [ Guilherme G. Piccoli ]
  * Initramfs boot script: Fix a deadlock when cryptroot would wait at
    local-top stage for a device to appear, while the device would only be
    created at local-block stage.  This can be the case in dm-crypt-over-MD
    scenario when booting the RAID array in degraded mode.  (Closes: #933059)

  [ Felix C. Stegerman ]
  * Fix typo in README.gnupg-sc

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 14 Jan 2021 19:16:40 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
                automake (>= 1:1.12),
                autopoint,
                debhelper-compat (= 13),
-               dh-exec,
                dh-strip-nondeterminism,
                docbook-xml,
                docbook-xsl,
@@ -30,10 +29,10 @@
                uuid-dev,
                xsltproc,
                xxd <!nocheck>
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://gitlab.com/cryptsetup/cryptsetup
 Vcs-Browser: https://salsa.debian.org/cryptsetup-team/cryptsetup
-Vcs-Git: https://salsa.debian.org/cryptsetup-team/cryptsetup.git
+Vcs-Git: https://salsa.debian.org/cryptsetup-team/cryptsetup.git -b debian/latest
 
 Package: cryptsetup
 Architecture: linux-any
@@ -78,7 +77,7 @@
 Architecture: all
 Depends: busybox | busybox-static,
          cryptsetup (>= ${source:Version}),
-         initramfs-tools (>= 0.129) | linux-initramfs-tool,
+         initramfs-tools (>= 0.137) | linux-initramfs-tool,
          ${misc:Depends}
 Recommends: console-setup, kbd
 Breaks: cryptsetup (<< 2:2.0.3-1)

## cryptsetup 2.3.6

=== debian/changelog ===
cryptsetup (2:2.3.6-0ubuntu1) impish; urgency=medium

  * New upstream release.

 -- Matthieu Clemenceau <matthieu.clemenceau@canonical.com>  Fri, 20 Aug 2021 11:32:12 +1200

cryptsetup (2:2.3.4-1ubuntu3) hirsute; urgency=medium

  * Stop building the udeb on request.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 12:10:36 +0100

cryptsetup (2:2.3.4-1ubuntu2) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:30:38 +0100

cryptsetup (2:2.3.4-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/control:
      + Recommend plymouth.
      + Depend on busybox-initramfs instead of busybox | busybox-static.
    - Fix cryptroot-unlock for busybox compatibility.
    - Fix warning and error when running on ZFS on root: (LP #1830110)
      - d/functions: Return an empty devno for ZFS devices as they don't have
        major:minor device numbers.
      - d/initramfs/hooks/cryptroot: Ignore and don't print an error message when
        devices don't have a devno.
      Submitted to debian upstream as bug #902449.
    - debian/patches/decrease_memlock_ulimit.patch
      Fixed FTBFS due a restrict environment in the new Bionic Builder (LP #1891473)
      tests/luks2-validation.test, tests/compat-test, tests/tcrypt-compat-test.
      - Thanks Guilherme G. Piccoli.
    - Introduce retry logic for external invocations after mdadm (LP #1879980)
      - Currently, if an encrypted rootfs is configured on top of a MD RAID1
        array and such array gets degraded (e.g., a member is removed/failed)
        the cryptsetup scripts cannot mount the rootfs, and the boot fails.
        We fix that issue here by allowing the cryptroot script to be re-run
        by initramfs-tools/local-block stage, as mdadm can activate degraded
        arrays at that stage.
        There is an initramfs-tools counter-part for this fix, but alone the
        cryptsetup portion is harmless.
      - d/cryptsetup-initramfs.install: ship the new local-bottom script.
      - d/functions: declare variables for local-top|block|bottom scripts
        (flag that local-block is running and external invocation counter.)
      - d/i/s/local-block/cryptroot: set flag that local-block is running.
      - d/i/s/local-bottom/cryptroot: clean up the flag and counter files.
      - d/i/s/local-top/cryptroot: change the logic from just waiting 180
        seconds to waiting 5 seconds first, then allowing initramfs-tools
        to run mdadm (to activate degraded arrays) and call back at least
        30 times/seconds more.
  * Dropped changes:
    - Included in new upstream version:
      - SECURITY UPDATE: Out-of-bounds write
        - debian/patches/CVE-2020-14382-*.patch: check segment gaps regardless of
          heap space in lib/luks2/luks2_json_metadata.c.
        - CVE-2020-14382
    - included in Debian:
      - debian/cryptsetup-bin.install:
        - Fix FTBFS due to dh_missing detecting crypsetup.conf in debian/tmp where
          it was installed from ./scripts/crypsetup.conf.
      - debian/rules:
        - fix FTBFS on riscv64 adding --with-tmpfilesdir to ensure all archs, even
          without systemd knows how to ship cryptsetup.conf

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 10 Nov 2020 10:37:25 +1300

## cryptsetup 2.3.7

=== misc/luks2_keyslot_example/Makefile ===
TARGET=keyslot_test
CFLAGS=-O0 -g -Wall -D_GNU_SOURCE -I ../../lib/
LDLIBS=-ljson-c -luuid -lgcrypt -ldevmapper -lpthread -lssh
CC=gcc

TARGET2=keyslot_test_remote_pass

SOURCES=keyslot_test.c
OBJECTS=$(SOURCES:.c=.o)
SOURCES2=keyslot_test_remote_pass.c
OBJECTS2=$(SOURCES2:.c=.o)

all: $(TARGET) $(TARGET2) $(TARGET4)

$(TARGET): $(OBJECTS) ../../.libs/libcryptsetup.a
	$(CC) -o $@ $^ $(LDLIBS)

$(TARGET2): $(OBJECTS2) ../../.libs/libcryptsetup.a
	$(CC) -o $@ $^ $(LDLIBS)

clean:
	rm -f *.o *~ core $(TARGET) $(TARGET2)

.PHONY: clean

=== debian/changelog ===
cryptsetup (2:2.3.7-1+deb11u1) bullseye-security; urgency=high

  * New upstream security/bugfix release, with fixes for:
    + CVE-2021-4122: decryption through LUKS2 reencryption crash recovery.
      (Closes: #1003686)
    + Key truncation for standalone dm-integrity devices using HMAC integrity
      protection.  (Closes: #949336)
  * Update d/gbp.conf and d/salsa-ci.yml to use d/bullseye branch.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 01 Feb 2022 15:36:35 +0100

=== debian/rules ===
--- 
+++ 
@@ -22,9 +22,9 @@
 	dh_auto_configure -- $(CONFFLAGS) \
 		--libdir=/lib/$(DEB_HOST_MULTIARCH) \
 		--sbindir=/sbin \
+		--with-tmpfilesdir=/usr/lib/tmpfiles.d \
 		--enable-libargon2 \
 		--enable-shared \
-		--with-tmpfilesdir=/usr/lib/tmpfiles.d/ \
 		--enable-cryptsetup-reencrypt
 
 override_dh_auto_build:
@@ -54,20 +54,24 @@
 
 override_dh_install:
 	dh_install
-	rm -f $(CURDIR)/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/libcryptsetup.la # not installed to anywhere
 	# install apport files when building on Ubuntu
 ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes),yes)
 	mkdir -p $(CURDIR)/debian/cryptsetup/usr/share/apport/package-hooks
 	install -m 0644 debian/cryptsetup.apport \
 		$(CURDIR)/debian/cryptsetup/usr/share/apport/package-hooks/cryptsetup.py
 endif
-	mv -f $(CURDIR)/debian/cryptsetup-initramfs.preinst $(CURDIR)/debian/cryptsetup-initramfs.preinst~
-	while IFS= read -r x; do if [ "$${x#CONF_HOOK_CONTENTS=}" = "$$x" ]; then printf "%s\n" "$$x"; else printf "CONF_HOOK_CONTENTS=\"\$$(cat <<EOF\n"; cat debian/initramfs/conf-hook; printf "EOF\n)\""; fi ; done <$(CURDIR)/debian/cryptsetup-initramfs.preinst~ >$(CURDIR)/debian/cryptsetup-initramfs.preinst
-	rm -f $(CURDIR)/debian/cryptsetup-initramfs.preinst~
-
-override_dh_link:
-	dh_link
-	dh_link -plibcryptsetup-dev /lib/$(DEB_HOST_MULTIARCH)/$$(basename $$(readlink debian/tmp/lib/$(DEB_HOST_MULTIARCH)/libcryptsetup.so.12)) /usr/lib/$(DEB_HOST_MULTIARCH)/libcryptsetup.so
+	if [ ! -f $(CURDIR)/debian/cryptsetup-initramfs.preinst.in ]; then \
+		cp -fpT $(CURDIR)/debian/cryptsetup-initramfs.preinst $(CURDIR)/debian/cryptsetup-initramfs.preinst.in; \
+	fi
+	while IFS= read -r x; do \
+		if [ "$${x#CONF_HOOK_CONTENTS=}" = "$$x" ]; then \
+			printf "%s\\n" "$$x"; \
+		else \
+			printf "CONF_HOOK_CONTENTS=\"\$$(cat <<EOF\\n"; \
+			cat debian/initramfs/conf-hook || exit 1; \
+			printf "EOF\\n)\""; \
+		fi; \
+	done <$(CURDIR)/debian/cryptsetup-initramfs.preinst.in >$(CURDIR)/debian/cryptsetup-initramfs.preinst
 
 override_dh_installinit:
 	dh_installinit -pcryptsetup --no-start --name=cryptdisks
@@ -76,6 +80,9 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	$(MAKE) -C debian/scripts/po update clean
+	if [ -f $(CURDIR)/debian/cryptsetup-initramfs.preinst.in ]; then \
+		mv -fT $(CURDIR)/debian/cryptsetup-initramfs.preinst.in $(CURDIR)/debian/cryptsetup-initramfs.preinst; \
+	fi
 
 override_dh_bugfiles:
 	dh_bugfiles -A

=== debian/watch ===
version=4
options="mode=git,pgpmode=gittag" \
  https://gitlab.com/cryptsetup/cryptsetup.git \
  refs/tags/v?@ANY_VERSION@

## cryptsetup 2.4.2

=== debian/changelog ===
cryptsetup (2:2.4.2-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 23 Nov 2021 21:53:50 -0500

cryptsetup (2:2.4.2-1) unstable; urgency=high

  * New upstream bugfix release 2.4.2.
  * d/control: Replace Build-Depends on removed package libsepol1-dev with
    libsepol-dev. (Closes: #999815)
  * blkid/un_blkid checks: Ignore large offsets when converting from sectors
    to bytes.
  * crypttab(5): Formatting fix.
  * Refresh d/copyright.
  * Refresh lintian overrides to accommodate lintian v2.112.

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 18 Nov 2021 17:15:08 +0100

cryptsetup (2:2.4.1-1) unstable; urgency=medium

  [ Guilhem Moulin ]
  * New upstream bugfix release 2.4.1.
  * d/rules:
    + Use execute_after_dh_* from Debhelper compatibility level 13 when
      relevant.
    + Skip documentation generation under nodoc profile.
    + Add new target execute_before_dh_auto_test so blhc ignores compilations
      of tests/*.c.
  * d/cryptsetup-initramfs.lintian-overrides: Refresh for lintian 2.107.0.
  * crypttab(5):
    + Improve documentation about escape sequences.
    + Document that keyscript= can also take an absolute path.
      (Closes: #994219)
    + Document that keyscript's exit status is ignored.
    + Various typo fixes and manpages improvements.
  * initramfs: Add new hook configuration option ASKPASS=[Yn] to opt out from
    askpass inclusion. (Closes: #994486)
  * d/cryptsetup-initramfs.post*: Replace `which` with `command -v`.
  * Merge debian/experimental branch and bring cryptsetup-suspend to sid.
  * d/bash_completion: s/mawk/awk/.  We're only using the POSIX subset so any
    implementation should work. (Closes: #993374)
  * Add DEP-8 tests for cryptdisks_start and cryptdisks_stop covering most of
    d/functions and d/cryptdisks-functions.  The testbed requires
    'isolation-machine' restriction since we need to load kernel modules and
    create loop devices.
  * d/gbp.conf, d/watch: Explicitly use gzip compression.

  [ Christoph Anton Mitterer ]
  * d/functions: Export _CRYPTTAB_* to the keyscript's environment.

  [ Lukas Schwaighofer ]
  * initramfs: Honor activation/auto_activation_volume_list setting.
    (Closes: #993725)

  [ Thorsten Glaser ]
  * blkid/un_blkid checks: Honor offset= option. (Closes: #994056)

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 08 Oct 2021 14:27:03 +0200

cryptsetup (2:2.4.0-1+exp1) experimental; urgency=medium

  * Upload to experimental.
  * d/rules: Prefix /lib/systemd/system-shutdown/cryptsetup-suspend.shutdown
    with /usr to fix FTBS with debhelper 13.4; see #992469.

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 19 Aug 2021 22:55:02 +0200

cryptsetup (2:2.4.0-1) unstable; urgency=low

  [ Guilhem Moulin ]
  * New upstream release.
  * Salsa CI: Set SALSA_CI_BLHC_ARGS to avoid failing when *test* files are
    built without the "right" LDFLAGS.
  * Remove obsolete upstart configuration files on upgrade and purge.
    (Closes: #990490)
  * d/*.{pre,post}*: Explicitly exit with status code 0.
  * d/copyright: Set field Upstream-Name.
  * d/control: Bump Standards-Version to 4.6.0 (no changes necessary).
  * d/control: Remove cryptsetup-run from cryptsetup's Recommends.
    (Closes: #987769)
  * d/control: Demote cryptsetup-initramfs from cryptsetup's Recommends to
    Suggests.  This concludes the package split started in 2:2.0.3-1 during
    the Buster release cycle.

  [ Ayla Ounce ]
  * Add support for --perf_* flags to initramfs.

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 19 Aug 2021 03:11:11 +0200

cryptsetup (2:2.4.0~rc1-1+exp1) experimental; urgency=medium

  * New upstream release candidate.
  * d/copyright: Update file.
  * d/cryptsetup.docs: Add upstream's README.md.
  * d/TODO.md: Remove implemented `luksSuspend` integration.

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 30 Jul 2021 02:37:32 +0200

cryptsetup (2:2.4.0~rc0-1+exp1) experimental; urgency=medium

  * New upstream release candidate 2.4.0.  Highlights include:
    + Support for external libraries (plugins) for handling LUKS2 token
      objects.
    + Experimental SSH token handler and cryptsetup-ssh(8) utility (both
      shipped in the 'cryptsetup' binary package) as a demonstration of the
      external LUKS2 token interface.  This adds libssh-dev to build-depends.
    + Change default LUKS2 PBKDF to Argon2id from Argon2i.
    + Increase minimal memory cost for Argon2 benchmark to 64MiB (suggested
      value in Argon2 RFC).
    + Autodetect optimal encryption sector size on LUKS2 format.
    + integritysetup: add integrity-recalculate-reset flag.
    + cryptsetup: retains keyslot number in luksChangeKey for LUKS2.
    + Add close --deferred and --cancel-deferred options.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 06 Jul 2021 10:18:17 +0200

cryptsetup (2:2.3.6-1+exp1) experimental; urgency=medium

  * New upstream bugfix release.  (Closes: #949336)

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 28 May 2021 22:54:20 +0200

cryptsetup (2:2.3.5-1+exp1) experimental; urgency=medium

  * Upload to experimental.

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 11 Mar 2021 23:36:01 +0100

cryptsetup (2:2.3.4-2+exp1) experimental; urgency=medium

  * Upload to experimental.

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 14 Jan 2021 19:55:25 +0100

cryptsetup (2:2.3.4-1+exp1) experimental; urgency=medium

  * Upload to experimental.

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 04 Sep 2020 00:55:41 +0200

cryptsetup (2:2.3.3-3+exp3) experimental; urgency=medium

  * d/control: Make cryptsetup-suspend explicitly depend on
    initramfs-tools-core as we use unmkinitramfs(8) in the wrapper.
  * systemd-suspend.service override: Set OOMScoreAdjust to -1000 to
    disable OOM killing of processes of the unit.  Thanks, ಚಿರಾಗ್.
    (Closes: #968569)
  * d/doc/cryptsetup-suspend.xml: Document that key material included in the


=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cryptsetup
 Section: admin
 Priority: optional
-Maintainer: Debian Cryptsetup Team <pkg-cryptsetup-devel@alioth-lists.debian.net>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Cryptsetup Team <pkg-cryptsetup-devel@alioth-lists.debian.net>
 Uploaders: Jonas Meurer <jonas@freesources.org>,
            Guilhem Moulin <guilhem@debian.org>
 Rules-Requires-Root: no
@@ -10,8 +11,8 @@
                autopoint,
                debhelper-compat (= 13),
                dh-strip-nondeterminism,
-               docbook-xml,
-               docbook-xsl,
+               docbook-xml <!nodoc>,
+               docbook-xsl <!nodoc>,
                gettext,
                jq <!nocheck>,
                libargon2-dev,
@@ -20,16 +21,17 @@
                libjson-c-dev,
                libpopt-dev,
                libselinux1-dev,
-               libsepol1-dev,
+               libsepol-dev,
+               libssh-dev,
                libssl-dev,
                libtool,
                pkg-config,
                po-debconf,
                procps <!nocheck>,
                uuid-dev,
-               xsltproc,
+               xsltproc <!nodoc>,
                xxd <!nocheck>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://gitlab.com/cryptsetup/cryptsetup
 Vcs-Browser: https://salsa.debian.org/cryptsetup-team/cryptsetup
 Vcs-Git: https://salsa.debian.org/cryptsetup-team/cryptsetup.git -b debian/latest
@@ -41,9 +43,8 @@
          dmsetup,
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: dosfstools, keyutils, liblocale-gettext-perl
+Suggests: cryptsetup-initramfs, dosfstools, keyutils, liblocale-gettext-perl
 Replaces: cryptsetup-run (<< 2:2.1.0-6)
-Recommends: cryptsetup-initramfs, cryptsetup-run
 Breaks: cryptsetup-run (<< 2:2.1.0-6)
 Description: disk encryption support - startup scripts
  Cryptsetup provides an interface for configuring encryption on block
@@ -57,7 +58,7 @@
  file /etc/crypttab. Additional features are cryptoroot support through
  initramfs-tools and several supported ways to read a passphrase or key.
  .
- This package provides the cryptdisk_start and stop wrappers and
+ This package provides the cryptdisks_start and _stop wrappers, as well as
  luksformat.
 
 Package: cryptsetup-bin
@@ -89,6 +90,28 @@
  Setup (LUKS) support.
  .
  This package provides initramfs integration for cryptsetup.
+
+Package: cryptsetup-suspend
+Architecture: linux-any
+Multi-Arch: foreign
+Depends: cryptsetup-initramfs (>= ${source:Version}),
+         initramfs-tools-core,
+         kbd,
+         systemd,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: disk encryption support - suspend mode integration
+ Cryptsetup provides an interface for configuring encryption on block
+ devices (such as /home or swap partitions), using the Linux kernel
+ device mapper target dm-crypt. It features integrated Linux Unified Key
+ Setup (LUKS) support.
+ .
+ This package provides suspend mode integration for cryptsetup. It takes
+ care of removing LUKS master key from memory before system suspend.
+ .
+ Please note that the suspend mode integration is limited to LUKS devices
+ and requires systemd.  Moreover, this is an early implementation and may not
+ be as mature as the other cryptsetup-* packages yet.
 
 Package: cryptsetup-run
 Section: oldlibs

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,9 @@
 %:
 	dh $@
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFFLAGS) \
 		--libdir=/lib/$(DEB_HOST_MULTIARCH) \
@@ -27,13 +30,16 @@
 		--enable-shared \
 		--enable-cryptsetup-reencrypt
 
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build:
+	# build askpass and passdev keyscripts
+	$(CC) -o debian/askpass debian/askpass.c -Wall -Werror $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -pedantic
+	$(CC) -o debian/scripts/passdev debian/scripts/passdev.c -Wall -Werror $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -pedantic
 
-	# build askpass and passdev keyscripts
-	$(CC) -o debian/askpass debian/askpass.c $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -pedantic
-	$(CC) -o debian/scripts/passdev debian/scripts/passdev.c $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -pedantic
+	# build suspend binary
+	$(CC) -o debian/scripts/suspend/cryptsetup-suspend debian/scripts/suspend/cryptsetup-suspend.c \
+		 -Wall -Werror $(CFLAGS) $(CPPFLAGS) -I$(CURDIR)/lib $(LDFLAGS) -L$(CURDIR)/.libs -lcryptsetup -pedantic
 
+ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
 	# generate manpages
 	sed 's/VERSION/$(DEB_VERSION)/;s/DATE/$(DEB_DATE)/' \
 		debian/doc/variables.xml.in >debian/doc/variables.xml
@@ -43,17 +49,20 @@
 	pod2man --section=8 --center="Administrative commands" \
 		--release="$(DEB_VERSION)" debian/scripts/luksformat \
 		debian/doc/luksformat.8
+endif
 
 	# generate gettext po files (for luksformat)
 	$(MAKE) -C debian/scripts/po all luksformat.pot
 
-override_dh_auto_install:
-	dh_auto_install
+execute_before_dh_auto_test:
+	# tests/fake_token_path.c is compiled without '-Wl,-z,relro -Wl,-z,now'
+	@echo "blhc: ignore-line-regexp: gcc\\s.*\\s\\.\\./tests/[0-9A-Za-z_-]+\\.c\\s.*"
+
+execute_after_dh_auto_install:
 	# install gettext po files (for luksformat)
 	$(MAKE) -C debian/scripts/po DESTDIR=$(CURDIR)/debian/cryptsetup-bin install
 
-override_dh_install:
-	dh_install
+execute_after_dh_install:
 	# install apport files when building on Ubuntu
 ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes),yes)
 	mkdir -p $(CURDIR)/debian/cryptsetup/usr/share/apport/package-hooks
@@ -77,8 +86,7 @@
 	dh_installinit -pcryptsetup --no-start --name=cryptdisks
 	dh_installinit -pcryptsetup --no-start --name=cryptdisks-early
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	$(MAKE) -C debian/scripts/po update clean
 	if [ -f $(CURDIR)/debian/cryptsetup-initramfs.preinst.in ]; then \
 		mv -fT $(CURDIR)/debian/cryptsetup-initramfs.preinst.in $(CURDIR)/debian/cryptsetup-initramfs.preinst; \
@@ -87,15 +95,15 @@
 override_dh_bugfiles:
 	dh_bugfiles -A
 
-override_dh_fixperms-arch:
-	dh_fixperms
+execute_after_dh_fixperms-arch:
 	chmod 0755 debian/cryptsetup/lib/cryptsetup/checks/*
 	chmod 0755 debian/cryptsetup/lib/cryptsetup/scripts/decrypt_*
+	chmod 0755 debian/cryptsetup-suspend/lib/cryptsetup/scripts/suspend/cryptsetup-suspend-wrapper
+	chmod 0755 debian/cryptsetup-suspend/lib/systemd/system-shutdown/cryptsetup-suspend.shutdown
 	chmod 0755 debian/cryptsetup-udeb/lib/cryptsetup/checks/*
 	chmod 0755 debian/cryptsetup-udeb/lib/cryptsetup/scripts/decrypt_*
 
-override_dh_fixperms-indep:
-	dh_fixperms
+execute_after_dh_fixperms-indep:
 	chmod 0755 debian/cryptsetup-initramfs/usr/share/cryptsetup/initramfs/bin/*
 	chmod 0755 debian/cryptsetup-initramfs/usr/share/initramfs-tools/hooks/*
 	chmod 0755 debian/cryptsetup-initramfs/usr/share/initramfs-tools/scripts/*/*
